<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 25.10.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Controller/Action.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since Magdeburg:Produktiv2
 */
class Auth_LogoutController extends Hpls_Controller_Action {

	public function indexAction() {
		$this->view->assign(HVConsts::V_PAGE_TITLE, 'ac_logout');
		Hpls_Auth::i()->logout();
		@Zend_Session::destroy();
		$this->_redirect('auth/logout/success');
	}

	public function successAction() {
	
	}
	
	public function maintenanceAction() {
		
	}

	public function serverchangedAction() {
		@Zend_Session::destroy();
		$this->_redirect('auth/logout/serverloggedout');
	}

	public function serverloggedoutAction() {
	}

	public function __call($x, $y) {
		$this->_forward('index');
	}
}