--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 06.09.2010
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-02-22 15:00:47 +0100 (Mi, 22. Feb 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9231 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--

-- MySQL dump 10.13  Distrib 5.1.53, for suse-linux-gnu (x86_64)
--
-- Host: localhost    Database: mailtrace
-- ------------------------------------------------------
-- Server version	5.1.53-log

--
-- Table structure for table `config`
--

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

CREATE TABLE IF NOT EXISTS `config` (
  `configuration_key` varchar(1024) NOT NULL,
  `value` text,
  `time_created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `time_updated` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`configuration_key`(250))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Table structure for table `servers`
--

CREATE TABLE IF NOT EXISTS `servers` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `s_name` varchar(256) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_name` (`s_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
