<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 15.08.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hmt/Db/Query/Delivers.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.0.9
 */
class Hmt_Db_Query_NomatchSearch extends Hmt_Db_Query_Delivers {

	public function getSelect() {
		isDebug('hmt_model_sql_compose') && $this->log()->info(__METHOD__);
		$sql = $this->getNewSelect();
		
		//cids aus connectlog finden, die passen könnten
		//		$ret = array($this->executeConnectOnly(),$this->executeDeliverOnly());
		

		//cids aus deliverlog finden, die passen könnten
		//		$this->executeDeliverOnly();
		//intersect aus beiden bilden 
		

		$joinCond = sprintf("%s = %s", $this->quoteIdentifier("c." . self::F_C_ID), $this->quoteIdentifier("d." . self::F_D_REF_C_ID));
		$sql->from(array(
				'c' => self::TABLE_CONNECT  . $this->getPartition() ) ,'d.*')->joinLeft(array(
				'd' => self::TABLE_DELIVER  . $this->getPartition() ), $joinCond, array());
		if (!$this->getClause()->isEmpty()) {
			$sql->where($this->generateWhere($sql, $this->getClause()));
		}
		return $sql;
	}
}