<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 22.12.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 */
require_once 'Hmt/Log.php';
require_once 'Hmt/Log/ManageAbstract.php';

/**
 *
 * @todo comment
 *      
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *           
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since 1.1.0
 */
class Hmt_Log_Manage extends Hmt_Log {
	const SQL_FILE_TPL_MINIMAL = 'create.minimal.mailtracelogs.sql';
	
	protected static $_instance2 = null;
	/**
	 * @todo comment
	 * @var Hmt_Log_ManageAbstract
	 */
	protected $_dbManager = null;
	
	/**
	 *
	 * @return Hmt_Log_Manage
	 */
	public static function i() {
		if (is_null(self::$_instance2)) {
			self::$_instance2 = new self();
		}
		return self::$_instance2;
	}

	protected function __construct() {
	}

	public function createStructure() {
		$this->getDbManager()->createStructure();
	}

	
	/**
	 * @todo comment
	 * @return Hmt_Log_ManageAbstract
	 */
	protected function getDbManager() {
		if (is_null($this->_dbManager)) {
			$cfg = Hpls_Settings::i()->getConfig('hmt.mtlog.storage.db');
			$this->_dbManager = Hmt_Log_ManageAbstract::factory($cfg);
		}
		return $this->_dbManager;
	}
}