<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : May 25, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Acl/Ids.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 * IDs für die ACL-Resourcen, die mit Hpls_Acl::isAllowed(<ID>) abgefragt werden können.
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package AC
 * @subpackage Rechtesystem
 * @version $LastChangedRevision: 9196 $
 * @since 1.0ufz
 */
interface Hpls_Acl_Ids {
	const ROOT = '/';
	const SRV_SYSLOG = 'ac.services.syslog';
	const SRV_DB = 'ac.services.db';
	const SRV_DB_MYSQL = 'ac.services.db.mysql';
	const SRV_MAIL_DB = '';
	const HIM_WEBUI = 'him.webui';
	const PRODUCT_AC = 'ac';
	const PRODUCT_HAS = 'has';
	const PRODUCT_HMA = 'hma';
	const PRODUCT_HIM = 'him';
	const AC_PRODUCT = 'ac.product';
	
	// für Testrelease, Hpls_Application::checkLicence()
	const RELEASEFORTEST = 'ac.product.releasefortest';
	const RELEASEFORTEST_EXPIRES = 'ac.product';
}