<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 01.10.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Exception/Executable/Wrapper/Crm.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Exception/Executable/Wrapper.php';
/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage HA
 * @version $LastChangedRevision: 9196 $
 * @since Magdeburg:Produktiv1
 */
class Hpls_Exception_Executable_Wrapper_Crm extends Hpls_Exception_Executable_Wrapper {

	public function __construct($message, $code, $cmd, $host = 'localhost', $cmdOptions = null) {
		parent::__construct($message, $code, $cmd, $host, $cmdOptions);
	}

	/**
	 * @return the $host
	 */
	public function getHost() {
		return $this->host;
	}

	/**
	 * @return the $cmd
	 */
	public function getCmd() {
		return $this->cmd;
	}

	/**
	 * @return the $cmdOptions
	 */
	public function getCmdOptions() {
		return $this->cmdOptions;
	}
}