<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 01.10.2010
 * created by     : author
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Executable/Wrapper.php $
 *
 * author         : author
 */
/***/
require_once 'Hpls/Executable/WrapperAbstract.php';
/**
 * @todo comment
 *
 * @author author
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since Magdeburg:Produktiv1
 */
class Hpls_Executable_Wrapper extends Hpls_Executable_WrapperAbstract {

	public function __construct($cmd, $cmdOptions = '', $stopByOneError = true) {
		parent::__construct($cmd, $cmdOptions, $stopByOneError);
	}

	/**
	 * @todo comment
	 *
	 * @return boolean true, wenn das Programm einen return-code von 0 geliefert hat. Für den eigentlichen Returncode getReturnCode() befragen.
	 */
	public function exec() {
		return parent::exec();
	}

	public function sudoExec() {
		return parent::sudoExec();
	}

	/**
	 * Führt den Befehl $this->getCmd() mit den gesetzten Optionen auf $host aus.
	 *
	 * @param string $host IP oder DNS-Hostname, auf der das Programm ausgeführt werden soll.
	 * Um es lokal auszuführen, leer lassen oder Hpls_Cli_Consts::HOST_LOCALHOST angeben
	 *
	 * @return boolean true, wenn das Programm einen return-code von 0 geliefert hat. Für den eigentlichen Returncode getReturnCode() befragen.
	 *
	 * @throws Hpls_Exception_Executable_Wrapper Wenn etwas beim Aufruf des Programm schief ging.
	 */
	public function execOnHost($host) {
		return parent::execOnHost($host);
	}

	/**
	 * @param array:string|string $hosts
	 */
	public function setHosts($hosts) {
		parent::setHosts($hosts);
	}

	public function getHosts() {
		return parent::getHosts();
	}

	public function setExecWithSudo($value = true) {
		parent::setExecWithSudo($value);
	}

	public function isExecWithSudo() {
		return parent::isExecWithSudo();
	}

	public function setFireAndForget($value = true) {
		parent::setFireAndForget($value);
	}

	public function isFireAndForget() {
		return parent::isFireAndForget();
	}

	public function setRemoteUser($user = null) {
		parent::setRemoteUser($user);
	}

	public function getRemoteUser() {
		return parent::getRemoteUser();
	}

	public function setCommand($commandName, $commandOptions) {
		parent::setCommand($commandName, $commandOptions);
	}

	public function getCommand() {
		return parent::getCommand();
	}

	public function setCommandOptions($commandOptions) {
		parent::setCommandOptions($commandOptions);
	}

	public function getCommandOptions() {
		return parent::getCommandOptions();
	}

	public function addParam($param, $value = null, $quote = true) {
		parent::addParam($param, $value, $quote);
	}

	/**
	 * @param boolean $value
	 */
	public function setStopByOneError($value = true) {
		parent::setStopByOneError($value);
	}

	/**
	 *
	 */
	public function isStopByOneError() {
		return parent::isStopByOneError();
	}

	/**
	 * @todo comment
	 *
	 * @param string|NULL $host Der Hostname/IP, auf dem der Service manipuliert wurde, NULL => LOCALHOST
	 * @return multitype:multitype:string|null Die Ausgabe des Ausrufs auf Host $host.
	 */
	public function getOutput($host = null) {
		return parent::getOutput($host);
	}

	/**
	 * @todo comment
	 *
	 * @param string|NULL $host Der Hostname/IP, null => LOCALHOST
	 * @return int|null Der Returncode des Ausrufs auf Host $host.
	 */
	public function getReturnCode($host = null) {
		return parent::getReturnCode($host);
	}

	public function getRemoteExecutor($host, $user = null) {
		return parent::getRemoteExecutor($host, $user);
	}

	public function getCmdLine() {
		return parent::getCmdLine();
	}

	public function splitHostUser($host) {
		return parent::splitHostUser($host);
	}

}