<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 30.12.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 */
require_once 'Hpls/Err.php';

interface Hpls_Mailtrace_Err extends 
	Hpls_Err {
	const ERR_REASON_LANG_EXISTS = 10000;
	const ERR_REASON_CREATE = 10100;
	const ERR_REASON_CREATE_GRANT = 10101;
	const ERR_REASON_CREATE_TRIGGER = 10102;
	const ERR_REASON_CREATE_INITIAL_DATA = 10103;
	const ERR_REASON_CREATE_INDEX = 10104;
	
	const ERR_MTLOG_CREATE = 20100;
	const ERR_MTLOG_CREATE_GRANT = 20101;
	const ERR_MTLOG_CREATE_TRIGGER = 20102;
	const ERR_MTLOG_CREATE_INITIAL_DATA = 20103;
	const ERR_MTLOG_CREATE_INDEX = 20104;
}