<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-10-14 12:39:09 +0200 (Do, 14. Okt 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7268 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Model/Entry/ConnectInterface.php $
 *
 */
/***/
require_once 'Hpls/Mailtrace/Model/Entry/Interface.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package Mailtrace
 * @subpackage Model
 * @version $LastChangedRevision: 7268 $
 * @since alpha
 *
 */
interface Hpls_Mailtrace_Model_Entry_ConnectInterface extends Hpls_Mailtrace_Model_Entry_Interface {

	const ATTR_C_ID = 'C_ID';
	const ATTR_C_CLIENT = 'C_Client';
	const ATTR_C_MAILFROM = 'C_MailFrom';
	const ATTR_C_MSG_ID = 'C_MsgID';
	const ATTR_C_SIZE =  'C_Size';
	const ATTR_C_QUEUE_ID = 'C_QueueID';
	const ATTR_C_MXNAME = 'C_Server';  //'C_MxName';
	const ATTR_C_TIME = 'C_Time';
	const ATTR_C_SERVER = 'C_Server';
	const ATTR_C_SERVER_ID = 'C_Server_ID';
}

