<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created        : 02.11.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Hpls/Controller/DebugAbstract.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision$
 * @since ??
 */
class Debug_NavigationController extends Hpls_Controller_DebugAbstract {

	public function indexAction() {
		require_once 'Hpls/Navigation.php';
		$nav = Hpls_Navigation::i();
		$nav->getNavTree();
		
		$this->view->assign('debuggedVars', array(
				array(
						'name' => 'Top Menu',
						'value' => $this->getTopMenu() ),
				array(
						'name' => 'Navigation',
						'value' => $nav ) ));
	}

	protected function getTopMenu() {
		$tabIDs = Hpls_Navigation::i()->getNavTree();
		$ret = array();
		foreach ($tabIDs as $tabID) {
			$ret[$tabID->getId()] = $tabID;
		}
		return $ret;
	}
}