--
-- Copyright (c) Heinlein Professional Linux Support GmbH
--
-- created   : 22.02.2012
-- created by: Christoph Graupner <c.graupner@heinlein-support.de>
--
-- last changed   : $LastChangedDate: 2012-02-23 17:02:15 +0100 (Do, 23. Feb 2012) $
-- last changed by: $LastChangedBy: cgr $
-- revision       : $LastChangedRevision: 9243 $
-- 
-- author         : Christoph Graupner <c.graupner@heinlein-support.de>
--

--
-- Trigger `reasons_[[LOCALE]]`
--
-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
DROP TRIGGER IF EXISTS `reasons_[[LOCALE]]_on_insert`;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

DELIMITER //

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE TRIGGER `reasons_[[LOCALE]]_on_insert` BEFORE INSERT ON `reasons_[[LOCALE]]`
 FOR EACH ROW BEGIN
 	IF (@DISABLE_TRIGGERS IS NULL) then
   SET NEW.time_updated = CURRENT_TIMESTAMP;
  END IF;
END;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

//
DELIMITER ;

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
DROP TRIGGER IF EXISTS `reasons_[[LOCALE]]_on_update`;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

DELIMITER //

-- PHPSQL-BEGIN <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!
CREATE TRIGGER `reasons_[[LOCALE]]_on_update` BEFORE UPDATE ON `reasons_[[LOCALE]]`
 FOR EACH ROW BEGIN
 	IF (@DISABLE_TRIGGERS IS NULL) then
   SET NEW.time_updated = CURRENT_TIMESTAMP;
  END IF;
END;
-- PHPSQL-END <-- DO NOT REMOVE and LEAVE THIS COMMENT AS IS!

//
DELIMITER ;
