{$cssColLabel = 'colLabel'}
{$cssColField = 'colField'}
{if isset($fieldErrors)}
	{$cssColLabel = "$cssColLabel formFieldError"}
	{$cssColField = "$cssColField formFieldError"}
<tr class="formFieldError formFieldErrorText">
	<td class="formFieldError formFieldErrorText"></td>
	<td class="formFieldError formFieldErrorText">
	<ul>
	{foreach $fieldErrors as $error}
		<li>{$error|escape}</li>
	{/foreach}
	</ul>
	</td>
</tr>
{/if}
<tr>
<th class="{$cssColLabel}">
	<label {if isset($fieldCssClass)}class="{$fieldCssClass}"{/if} id="{$labelName}" name="{$labelName}">{lc}{$labelText}{/lc}</label>
</th>
<td class="{$cssColField}">
{foreach $fieldOptions as $option}
	<input class="{if isset($fieldCssClass)}{$fieldCssClass}{/if}{if $option.selected} active{/if}"
		type="radio"
		name="{$fieldName}"
		id="{$fieldName}_{$option.value|replace:' ':'_'|escape}"
		value="{$option.value|escape}"
		{if isset($option.selected) && $option.selected}checked="checked"{/if}
		/>
	<label name="{$fieldName}{$option.value}">{lc}{$option.label}{/lc}</label>
	{if $layout==='vertical'}
	<br/>
	{/if}
{/foreach}
</td>
</tr>