{*
 * Variables:
 * - table[]
 *   - [headers][]
 *     - [title] => i18n-string-id
 *     - [sortable] => url to sort after
 *     - [active] => bool
 *   - [items][]
 *     - [row*]
 *       - ([active]) => bool
 *       - ([link]) => url or array (module,controller,action,params)
 *       - [values] => mixed
 *         - [value] =>
 *         - [doI18N] => bool
 *}
<table width="100%">
<thead>
	<tr>
	{foreach from=$internTable.headers item=header}
		{assign var=cssClassAdd value=""}
		{if $header.active === TRUE}
			{assign var=cssClassAdd value="active"}
		{/if}
		<th class="hpls_result_table {$cssClassAdd}">
			{lc}{$header.title}{lc}
			{if !empty($header.sortable)}
			{/if}
		</th>
	{/foreach}
	</tr>
</thead>
<tbody>
	{foreach from=$internTable.items item=tableRow}
	<tr>
		{foreach from=$tableRow.values item=col}
			<td>{if $col.doI18N}{$col.value|lc}
			{else}
			{$col.value}
			{/if}
			</td>
		{/foreach}
	</tr>
	{/foreach}
</tbody>
</table>