<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 08.04.2011
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2012-02-23 09:06:10 +0100 (Do, 23. Feb 2012) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9236 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hmt/Reason/Edit/Rule.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/**
 */
require_once 'Hmt/Reason/Rule.php';

/**
 *
 * @todo comment
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9236 $
 * @since 1.0.9
 */
class Hmt_Reason_Edit_Rule extends Hmt_Reason_Rule {

	public function setFromtable($value) {
		$this->fromtable = $value;
	}

	public function setID($value) {
		$id = explode(self::ID_SEP, $value);
		if (count($id) != 2) {
			throw new InvalidArgumentException("'$value' not in a format of '<id-seq-nr>-<id_t>'", -1);
		}
		$this->setIdS($id[0]);
		$this->setIdT($id[1]);
	}

	public function setIdS($value) {
		$this->id = intval($value);
	}

	public function setIdT($value) {
		$this->id_t = $value;
	}

	public function setName($value) {
		$this->rule_name = $value;
	}

	public function setDescription($value) {
		$this->description = $value;
	}

	public function setDeactivated($value = true) {
		$this->inactive_state = $value ? 1 : 0;
	}
}