<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created        : 11.11.2010
 * created by     : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate$
 * last changed by: $LastChangedBy$
 * revision       : $LastChangedRevision$
 * SVN head URL   : $HeadURL$
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
class Hpls_Configuration_Data {
	protected $_data;
	protected $_error;

	public function __construct($data) {
		$this->_data = $data;
	}

	public function data() {
		return $this->_data;
	}

	public function setError($error) {
		$this->_error = $error;
	}

	public function hasError() {
		return !empty($this->_error);
	}

	public function getError() {
		return $this->_error;
	}
}