<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Mar 19, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-10-14 12:39:09 +0200 (Do, 14. Okt 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7268 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Exception/Reason.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 *
 */
/***/
require_once 'Hpls/Mailtrace/Exception.php';
class Hpls_Mailtrace_Exception_Reason extends Hpls_Mailtrace_Exception {
	protected $_ruleID;
	protected $_role;
	protected $_locale;
	public function __construct($message, $code = null, $ruleID = null, $role = null, $locale = null) {
		parent::__construct($message,$code);
		$this->_locale = $locale;
		$this->_role = $role;
		$this->_ruleID = $ruleID;
	}
	
	public function getRole() {
		return $this->_role;
	}
	public function getRuleID() {
		return $this->_ruleID;
	}
	public function getLocale() {
		return $this->_locale;
	}
	
}