<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2010-10-14 12:39:09 +0200 (Do, 14. Okt 2010) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 7268 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/HMT/GUI/Core/trunk/hpls.hmt.gui.libs/Hpls/Mailtrace/Model/Log/Storage/Db/Mysql/Implementation.php $
 *
 */
/**
 *
 */
require_once 'Hpls/Mailtrace/Model/Log/Storage/Db/Abstract.php';

class Hpls_Mailtrace_Model_Log_Storage_Db_Mysql_Implementation
	 extends Hpls_Mailtrace_Model_Log_Storage_Db_Abstract
{

	public function __construct(array $options) {
				/*
		 * drwlog.storage.db.username =
drwlog.storage.db.password =
drwlog.storage.db.dbname = maillog-db
drwlog.storage.db.dbhost = localhost
drwlog.storage.db.dbport =
drwlog.storage.db.table.connect = connectlog
drwlog.storage.db.table.deliver = deliverlog
*/

		parent::__construct('Pdo_Mysql', array(
			'host' => $options[self::CFG_DBHOST],
			'username' => $options[self::CFG_USERNAME],
			'password' => $options[self::CFG_PASSWORD],
			'dbname' => $options[self::CFG_DBNAME],
			'driver_options' => array (
			PDO::MYSQL_ATTR_USE_BUFFERED_QUERY => true) 
		));

	}

	protected function generateLimitSQL($start,$end) {
		return sprintf(' LIMIT %s, %s',$start,$end);
	}
}