<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : 24.09.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Navigation/Page/Controller.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Zend/Navigation/Page/Mvc.php';
require_once 'Hpls/Navigation/PageInterface.php';
require_once 'Hpls/Navigation/Page/Extender.php';
require_once 'Hpls/Acl.php';

/**
 * @todo comment
 *
 * @author Christoph Graupner <c.graupner@heinlein-support.de>
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.4
 */
class Hpls_Navigation_Page_Controller extends Zend_Navigation_Page_Mvc implements 
	Hpls_Navigation_PageInterface {
	/**
	 * @var Hpls_Navigation_Page_Extender
	 */
	protected $_HplsPageExtender = null;

	public function __construct($options = null) {
		parent::__construct($options);
		$this->_HplsPageExtender = new Hpls_Navigation_Page_Extender($this);
	}

	/* (non-PHPdoc)
	 * @see Hpls_Navigation_PageInterface::addResource()
	 */
	public function addResource(Hpls_Var_Clause $resources) {
		$this->_HplsPageExtender->addResource($resources);
	}

	public function getLabel() {
		$ret = parent::getLabel();
		if (empty($ret)) {
			return $this->getId();
		}
		return $ret;
	}

	public function setHref($url) {
		$this->_hrefCache = $url;
	}

}