<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 * 
 * created   : 24.09.2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.common/Hpls/Navigation/Page/Uri.php $
 * 
 * author         : Christoph Graupner <c.graupner@heinlein-support.de>
 */
/***/
require_once 'Zend/Navigation/Page/Uri.php';
require_once 'Hpls/Navigation/PageInterface.php';
require_once 'Hpls/Navigation/Page/Extender.php';

class Hpls_Navigation_Page_Uri extends Zend_Navigation_Page_Uri implements 
	Hpls_Navigation_PageInterface {
	/**
	 * @var Hpls_Navigation_Page_Extender
	 */
	protected $_HplsPageExtender = null;

	public function __construct($options = null) {
		parent::__construct($options);
		$this->_HplsPageExtender = new Hpls_Navigation_Page_Extender($this);
	}

	/**
	 * @param unknown_type $resName
	 * @param unknown_type $resPrivilege
	 */
	public function addResource(Hpls_Var_Clause $resources) {
		$this->_HplsPageExtender->addResource($resources);
	}

	/**
	 * @param string $roleName
	 */
	public function addRole(Hpls_Var_Clause $roles) {
		$this->_HplsPageExtender->addRoleesource($roles);
	}

}