<?php

/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 29, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs.smarty/Hpls/Smarty/Plugins/function.resultTable.php $
 *
 */
/**
 *
 */

function smarty_function_resultTable(array $params, Smarty_Internal_Template &$smarty) {
	if (empty($params[HSPN::P_TABLE])) {
		require_once 'Hpls/Exception/Template.php';
		throw new Hpls_Exception_Template('Param "table" needed.' . Zend_Debug::dump($params, "params:", false));
	}
	$smarty->assign(HVConsts::V_INTERN_TABLE, $params[HSPN::P_TABLE]);
	$ret = $smarty->fetch('_table/result.tpl');
	$smarty->clearAssign(HVConsts::V_INTERN_TABLE);
	return $ret;
}