<?php
/**
 * Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * created   : Jan 26, 2010
 * created by: Christoph Graupner <c.graupner@heinlein-support.de>
 *
 * last changed   : $LastChangedDate: 2011-12-28 17:05:55 +0100 (Mi, 28. Dez 2011) $
 * last changed by: $LastChangedBy: cgr $
 * revision       : $LastChangedRevision: 9196 $
 * SVN head URL   : $HeadURL: https://buero-svn.jpberlin.de/Dev-Repository/AC/GUI/Core/trunk/hpls.ac.core2.gui.libs/Hpls/View/Consts.php $
 *
 */
/**
 *
 */
require_once 'Hpls/View/Consts0.php';

/**
 * @todo comment
 *
 * @author author
 * @copyright Copyright (c) Heinlein Professional Linux Support GmbH
 *
 * @package ??
 * @subpackage ??
 * @version $LastChangedRevision: 9196 $
 * @since 1.0.6
 */
interface Hpls_View_Consts extends 
	Hpls_View_Consts0 {
	
	/* smarty functions parameter names */
	const PARAM_CONTENT = 'content';
	const PARAM_LINK = 'link';
	const PARAM_CONTROLLER = 'controller';
	const PARAM_MODULE = 'module';
	const PARAM_ACTION = 'action';
	const PARAM_ROUTE = 'route';
	
	/* view variable names */
	
	const V_BODY_TITLE = 'pageTitle';
	const V_DEBUG_MSG = 'debugMsg';
	
	const V_RESULT_PAGINATOR = 'resultPaginator';
	const V_TABLES = 'tables';
	const V_T_BODY = 'rows';
	const V_T_HEAD_ID = 'headID';
	const V_T_HEAD_TITLE = 'title';
	const V_T_HEAD_ACTIVE = 'active';
	const V_T_HEAD_SORTABLE = 'sortable';
	
	const V_T_COL_LINK = 'link';
	const V_T_COL_DOI18N = 'i18n';
	const V_T_COL_VALUE = 'value';
	const V_T_COL_ESCAPE = 'escape';
	
	const V_T_ROW_COLVALUES = 'values';
	const V_T_ROW_LINK = 'link';
	const V_T_ROW_ACTIVE = 'active';
	
	const V_FORMS = 'zfforms';
	
	const V_INTERN_TABLE = 'internTable';
	
	const V_ERRORS = 'errors';
	const V_MSGS = 'MSGS';
}

interface HVConsts extends 
	Hpls_View_Consts {

}